
Summary: A note taking and note management application
Name:    rekollect
Version: 0.3.2
Release: 1%{?dist}

Group:   Applications/Productivity
License: GPLv2+
URL:     http://sourceforge.net/projects/rekollect/
Source0: http://downloads.sourceforge.net/sourceforge/rekollect/rekollect-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel

%description
%{summary}.


%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
 -DBUILD_SHARED_LIBS:BOOL=OFF \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde

# omit convenience lib from packaging (for now)
rm -f %{buildroot}%{_kde4_libdir}/lib*.a


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/rekollect.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :


%clean
rm -rf %{buildroot} 


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_appsdir}/rekollect/
%{_kde4_bindir}/rekollect
%{_kde4_datadir}/applications/kde4/rekollect.desktop
%{_kde4_datadir}/config.kcfg/rekollect.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Wed Apr 07 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.2-1
- rekollect-0.3.2

* Wed Mar 31 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- rekollect-0.3.1

* Tue Mar 23 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3-1
- rekollect-0.3


